All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.calculateditems.html
Class BaseCalculatedItemSelectorPanel

    com.sas.servlet.tbeans.dataselectors.calculateditems.html.BaseCalculatedItemSelectorPanel

All Implemented Interfaces:
  HttpActionProviderInterface, com.sas.beans.PropertyChangeSource, com.sas.collection.ContentsChangedListener, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, BaseCalculatedItemSelectorPanelKeysInterface, BaseCalculatedItemSelectorPanelStyleKeysInterface, FormViewInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable, java.util.EventListener

Direct Known Subclasses:
  SimpleCalculatedItemSelectorPanel

    @SASScope(value="ALL")
    public abstract class BaseCalculatedItemSelectorPanel

implements BaseCalculatedItemSelectorPanelKeysInterface, BaseCalculatedItemSelectorPanelStyleKeysInterface

The BaseCalculatedItemSelectorPanel is an abstract TransformationBean™ for use by panels implementing calculated item selector functionality.

Note that subclasses of this bean actually provide the markup rendering used in/with Servlet and JavaServer Pages technologies. If you need to add support for a markup language that is not explicitly provided with AppDev Studio, then you must extend this class.

The BaseCalculatedItemSelectorPanel is one of several TransformationBeans™ that rely on a set of style classes that are used by default when generating the resulting markup language. For more information on style sheets and the default style classes that apply to this TransformationBean™, refer to the AppDev Studio Developer Site. You'll find a useful reference document entitled Cascading Style Sheets, Images, and TransformationBeans™ as well as the TransformationBeans™ Style Sheet Reference.

The BaseCalculatedItemSelectorPanel is one of several TransformationBeans™ that rely on JavaScript to provide some of its functionality. These JavaScript files are including automatically by the tbean. See JavaScriptIncludeHandler for more information about how these files are included and how to customize this behavior. The BaseCalculatedItemSelectorPanel uses the following JavaScript files:

  sas_SimpleCalculatedItemSelectorPanel.js

For More Information:

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `BASE_EXPRESSION_EDITOR_RB_KEY` Key used to lookup resources for the `BaseExpressionEditor` in the resource bundle.
`static java.lang.String` | `DEFAULT_TEMPLATE_FILE_NAME` The default file name for the template for this panel.
`static java.lang.String` | `SELECTOR_CHOICE_CLASS` Style class key for the common selector choice component style.
`static java.lang.String` | `SELECTOR_LABEL_CLASS` Style class key for the common selector label style.
`static java.lang.String` | `SELECTOR_LIST_CLASS` Style class key for the common selector list component style.
`static java.lang.String` | `SELECTOR_RADIO_CLASS` Style class key for the common selector radio button style.
`static java.lang.String` | `SELECTOR_TEXT_AREA_CLASS` Style class key for the common selector text area style.
`static java.lang.String` | `SELECTOR_TEXT_CLASS` Style class key for the common selector text style.
`static java.lang.String` | `SELECTOR_TEXT_ENTRY_CLASS` Style class key for the common selector text entry style.
`static java.lang.String` | `SIMPLE_SELECTOR_RB_KEY` Key used to lookup additional shared resources in the resource bundle.

Fields inherited from class com.sas.servlet.tbeans.dataselectors.BaseSelectorPanel
`SELECTOR_EXPAND, SELECTOR_EXTERNAL`

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.calculateditems.html.BaseCalculatedItemSelectorPanelKeysInterface
`BASECALCULATEDITEMSELECTORPANEL_DESCRIPTION_ENTRY, BASECALCULATEDITEMSELECTORPANEL_DESCRIPTION_LABEL, BASECALCULATEDITEMSELECTORPANEL_EXPRESSION_EDITOR, BASECALCULATEDITEMSELECTORPANEL_NAME_ENTRY, BASECALCULATEDITEMSELECTORPANEL_NAME_LABEL`

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.calculateditems.html.BaseCalculatedItemSelectorPanelStyleKeysInterface
`BASECALCULATEDITEMSELECTORPANEL_DESCRIPTION_ENTRY_CLASS, BASECALCULATEDITEMSELECTORPANEL_DESCRIPTION_LABEL_CLASS, BASECALCULATEDITEMSELECTORPANEL_NAME_ENTRY_CLASS, BASECALCULATEDITEMSELECTORPANEL_NAME_LABEL_CLASS`

Constructor Summary
`BaseCalculatedItemSelectorPanel()` Construct a BaseCalculatedItemSelectorPanel object with no associated model.
`BaseCalculatedItemSelectorPanel(java.lang.String name)` Construct a BaseCalculatedItemSelectorPanel object with the given and and with no associated model.

Method Summary
`protected void` | `setLocaleDependentProperties(java.util.Locale locale)` Sets the locale dependent properties.
`void` | `setSelectorModel(java.lang.Object selectorModel)` Sets the selector's data model
`void` | `write(java.io.PrintWriter out)` Writes the selector panel.

Methods inherited from class com.sas.servlet.tbeans.dataselectors.html.SelectorPanel
`close, getAdditionalParameters, getDefaultFormObject, getFormObject, getIframeName, isFormEnabled, setAdditionalParameter, setAdditionalParameters, setFormEnabled, setFormObject, setIframeName, writeRemoteScriptCommands, writeRemoteScriptFrame, writeSelectorPanelFooter, writeSelectorPanelHeader`

Methods inherited from class com.sas.servlet.tbeans.dataselectors.BaseSelectorPanel
`contentsChanged, getActionProvider, getCommandId, getImageLocation, getSelector, getSelectorModel, setActionProvider, setCommandId, setImageLocation, setSelector`

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`applyTemplate, applyTemplate, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setRequest, setResponse, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getRequest`

Field Detail

### SIMPLE_SELECTOR_RB_KEY

    public static final java.lang.String SIMPLE_SELECTOR_RB_KEY

  Key used to lookup additional shared resources in the resource bundle.

  See Also:
    Constant Field Values

### BASE_EXPRESSION_EDITOR_RB_KEY

    public static final java.lang.String BASE_EXPRESSION_EDITOR_RB_KEY

  Key used to lookup resources for the `BaseExpressionEditor` in the resource bundle.

  See Also:
    Constant Field Values

### DEFAULT_TEMPLATE_FILE_NAME

    public static final java.lang.String DEFAULT_TEMPLATE_FILE_NAME

  The default file name for the template for this panel.

  See Also:
    Constant Field Values

### SELECTOR_LABEL_CLASS

    public static final java.lang.String SELECTOR_LABEL_CLASS

  Style class key for the common selector label style.

  See Also:
    Constant Field Values

### SELECTOR_TEXT_CLASS

    public static final java.lang.String SELECTOR_TEXT_CLASS

  Style class key for the common selector text style.

  See Also:
    Constant Field Values

### SELECTOR_TEXT_AREA_CLASS

    public static final java.lang.String SELECTOR_TEXT_AREA_CLASS

  Style class key for the common selector text area style.

  See Also:
    Constant Field Values

### SELECTOR_TEXT_ENTRY_CLASS

    public static final java.lang.String SELECTOR_TEXT_ENTRY_CLASS

  Style class key for the common selector text entry style.

  See Also:
    Constant Field Values

### SELECTOR_CHOICE_CLASS

    public static final java.lang.String SELECTOR_CHOICE_CLASS

  Style class key for the common selector choice component style.

  See Also:
    Constant Field Values

### SELECTOR_LIST_CLASS

    public static final java.lang.String SELECTOR_LIST_CLASS

  Style class key for the common selector list component style.

  See Also:
    Constant Field Values

### SELECTOR_RADIO_CLASS

    public static final java.lang.String SELECTOR_RADIO_CLASS

  Style class key for the common selector radio button style.

  See Also:
    Constant Field Values

Constructor Detail

### BaseCalculatedItemSelectorPanel

    public BaseCalculatedItemSelectorPanel()

  Construct a BaseCalculatedItemSelectorPanel object with no associated model. This constructor simply builds the visuals which comprise the selector panel. Users of this constructor will need to call setSelectorModel() to set the model for this selector panel. The `createComponents()` method is not called by this constructor to avoid component conflicts with the concrete subclasses of this class. It is the responsibility of the subclass to call `createComponents()` on BaseCalculatedItemSelectorPanel.

  See Also:
    `setSelectorModel(java.lang.Object)`

### BaseCalculatedItemSelectorPanel

    public BaseCalculatedItemSelectorPanel(java.lang.String name)

  Construct a BaseCalculatedItemSelectorPanel object with the given and and with no associated model. This constructor simply builds the visuals which comprise the selector panel. Users of this constructor will need to call setSelectorModel() to set the model for this selector panel. The `createComponents()` method is not called by this constructor to avoid component conflicts with the concrete subclasses of this class. It is the responsibility of the subclass to call `createComponents()` on BaseCalculatedItemSelectorPanel.

  See Also:
    `setSelectorModel(java.lang.Object)`

Method Detail

### setSelectorModel

    public void setSelectorModel(java.lang.Object selectorModel)

  Description copied from class: `BaseSelectorPanel`
  Sets the selector's data model

  Overrides:
    `setSelectorModel` in class `BaseSelectorPanel`
  Parameters:
    `selectorModel` - The selector's data model

### setLocaleDependentProperties

    protected void setLocaleDependentProperties(java.util.Locale locale)

  Description copied from class: `BaseTransformation`
  Sets the locale dependent properties. Not operational at this level.

  Overrides:
    `setLocaleDependentProperties` in class `BaseTransformation`

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Writes the selector panel.

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `BaseCompositeTransformation`
  Parameters:
    `out` - the output stream
  Throws:
    `java.io.IOException` - thrown if some type of I/O error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.